Linux Format forums Forum Index Linux Format forums
Help, discussion, magazine feedback and more
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

libtool.m4 and ltmain.sh have a version mismatch! Kdevelop

 
Post new topic   Reply to topic    Linux Format forums Forum Index -> Programming
View previous topic :: View next topic  
Author Message
GMorgan
LXF regular


Joined: Thu Jan 12, 2006 6:58 pm
Posts: 684
Location: South Wales, UK

PostPosted: Mon May 01, 2006 10:36 pm    Post subject: libtool.m4 and ltmain.sh have a version mismatch! Kdevelop Reply with quote

I've just tried compiling an old project on Kdevelop in Gentoo. The problem I'm getting is a complaint along the following lines

Code:
checking for correct ltmain.sh version... no
configure: error:

*** [Gentoo] sanity check failed! ***
*** libtool.m4 and ltmain.sh have a version mismatch! ***
*** (libtool.m4 = 1.5.22, ltmain.sh = 1.5a) ***

Please run:

libtoolize --copy --force

if appropriate, please contact the maintainer of this
package (or your distribution) for help.

*** Exited with status: 1 ***


I've emerged libtool which is probably causing the problem butI haven't a clue what to do about ltmain.sh. As far as I can tell there is no ebuild that refers to it (certainly nothing at gentoo.org. Anyone know how to solve this.

I'm also getting a few warnings
Code:
/usr/share/aclocal/pth.m4:43: warning: underquoted definition of _AC_PTH_ERROR
run info '(automake)Extending aclocal'
or see http://sources.redhat.com/automake/automake.html#Extending-aclocal
/usr/share/aclocal/pth.m4:55: warning: underquoted definition of _AC_PTH_VERBOSE
/usr/share/aclocal/pth.m4:61: warning: underquoted definition of AC_CHECK_PTH
/usr/share/aclocal/pilot-link.m4:1: warning: underquoted definition of AC_PILOT_LINK_HOOK
/usr/share/aclocal/ao.m4:9: warning: underquoted definition of XIPH_PATH_AO
autoheader


I don't think these are a problem but I thought I'd post them in case they turn out to be important.
Back to top
View user's profile Send private message
bluemonki



Joined: Sat Oct 29, 2005 9:18 pm
Posts: 11
Location: uk

PostPosted: Tue May 02, 2006 10:18 am    Post subject: RE: libtool.m4 and ltmain.sh have a version mismatch! Kdevel Reply with quote

So what happens if you run:
Code:
libtoolize --copy --force

like it asks you to?
_________________
---------------------------------

A wizard has turned you in to a whale. Is this awesome? (Y/N)

Back to top
View user's profile Send private message Visit poster's website
GMorgan
LXF regular


Joined: Thu Jan 12, 2006 6:58 pm
Posts: 684
Location: South Wales, UK

PostPosted: Tue May 02, 2006 10:54 pm    Post subject: RE: libtool.m4 and ltmain.sh have a version mismatch! Kdevel Reply with quote

It doesn't give any output. It may have done nothing, or it may have installed rootkits throughout my machine, the complete lack of output leaves me in the dark.
Back to top
View user's profile Send private message
bluemonki



Joined: Sat Oct 29, 2005 9:18 pm
Posts: 11
Location: uk

PostPosted: Wed May 03, 2006 1:11 pm    Post subject: RE: libtool.m4 and ltmain.sh have a version mismatch! Kdevel Reply with quote

Ok lets stop taking the paranoia pills for a sec and check it out:

http://www.delorie.com/gnu/docs/libtool/libtool_29.html

...right so no rootkits there.

So once you've run the command do you still get the same error?

If you do check this out:
[url]http://66.249.93.104/search?q=cache:NhcODh1KiV4J:www.gentoo.org/news/en/gwn/20041220-newsletter.xml%3Fstyle%3Dprintable+libtool.m4+and+ltmain.sh+have+a+version+mismatch!&hl=en&gl=uk&ct=clnk&cd=1&client=firefox-a[/url]
_________________
---------------------------------

A wizard has turned you in to a whale. Is this awesome? (Y/N)

Back to top
View user's profile Send private message Visit poster's website
GMorgan
LXF regular


Joined: Thu Jan 12, 2006 6:58 pm
Posts: 684
Location: South Wales, UK

PostPosted: Wed May 03, 2006 11:59 pm    Post subject: RE: libtool.m4 and ltmain.sh have a version mismatch! Kdevel Reply with quote

I didn't seriously think there were rootkits I'm just saying for all I know there maybe Wink .

Thanks for the link. Its a known bug then at least I will be able to get it running.
Back to top
View user's profile Send private message
View previous topic :: View next topic  
Display posts from previous:   
Post new topic   Reply to topic    Linux Format forums Forum Index -> Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
Linux Format forums topic RSS feed 


Powered by phpBB © 2001, 2005 phpBB Group


Copyright 2011 Future Publishing, all rights reserved.


Web hosting by UKFast